Fri Jan 15 01:48:53 CST 2010  pix@kepibu.org
  * Use &body instead of &rest for (arguably) prettier auto-indentation
diff -rN --strip-trailing-cr -u cl-unification/match-block.lisp cl-unification/match-block.lisp
--- cl-unification/match-block.lisp	2010-01-15 20:26:20.000000000 -0600
+++ cl-unification/match-block.lisp	2010-01-15 20:26:21.000000000 -0600
@@ -134,7 +134,7 @@
                           (default-substitution
                            (make-empty-environment))
                           (matching-named nil))
-                    &rest match-clauses)
+                    &body match-clauses)
   "MATCHING sets up a COND-like environment for multiple template matching clauses.
 
 The syntax of MATCHING comprises a number of clauses of the form
@@ -225,7 +225,7 @@
 ;;; HANDLER-CASEs, which are quite expensive.  Any takers?
 
 (defmacro match-case ((object &key errorp default-substitution match-case-named)
-                      &rest clauses)
+                      &body clauses)
   "MATCH-CASE sets up a CASE-like environment for multiple template matching clauses.
 
 The syntax of MATCH-CASE comprises a number of clauses of the form
@@ -283,7 +283,7 @@
 
 
 (defmacro matchf-case ((object &key errorp default-substitution match-case-named)
-                      &rest clauses)
+                      &body clauses)
   "MATCHF-CASE sets up a CASE-like environment for multiple template matching clauses.
 
 The syntax of MATCHF-CASE comprises a number of clauses of the form

